/*     */ package org.apache.batik.parser;
/*     */ 
/*     */ import java.awt.Shape;
/*     */ import java.awt.geom.Point2D;
/*     */ import java.io.IOException;
/*     */ import java.io.Reader;
/*     */ import org.apache.batik.ext.awt.geom.ExtendedGeneralPath;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AWTPathProducer
/*     */   implements PathHandler, ShapeProducer
/*     */ {
/*     */   protected ExtendedGeneralPath path;
/*     */   protected float currentX;
/*     */   protected float currentY;
/*     */   protected float xCenter;
/*     */   protected float yCenter;
/*     */   protected int windingRule;
/*     */   
/*     */   public static Shape createShape(Reader r, int wr) throws IOException, ParseException {
/*  75 */     PathParser p = new PathParser();
/*  76 */     AWTPathProducer ph = new AWTPathProducer();
/*     */     
/*  78 */     ph.setWindingRule(wr);
/*  79 */     p.setPathHandler(ph);
/*  80 */     p.parse(r);
/*     */     
/*  82 */     return ph.getShape();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  89 */   public void setWindingRule(int i) { this.windingRule = i; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public int getWindingRule() { return this.windingRule; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 105 */   public Shape getShape() { return this.path; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void startPath() {
/* 112 */     this.currentX = 0.0F;
/* 113 */     this.currentY = 0.0F;
/* 114 */     this.xCenter = 0.0F;
/* 115 */     this.yCenter = 0.0F;
/* 116 */     this.path = new ExtendedGeneralPath(this.windingRule);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void endPath() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 129 */   public void movetoRel(float x, float y) throws ParseException { this.path.moveTo(this.xCenter = this.currentX += x, this.yCenter = this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 136 */   public void movetoAbs(float x, float y) throws ParseException { this.path.moveTo(this.xCenter = this.currentX = x, this.yCenter = this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void closePath() {
/* 143 */     this.path.closePath();
/* 144 */     Point2D pt = this.path.getCurrentPoint();
/* 145 */     this.currentX = (float)pt.getX();
/* 146 */     this.currentY = (float)pt.getY();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 153 */   public void linetoRel(float x, float y) throws ParseException { this.path.lineTo(this.xCenter = this.currentX += x, this.yCenter = this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 160 */   public void linetoAbs(float x, float y) throws ParseException { this.path.lineTo(this.xCenter = this.currentX = x, this.yCenter = this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 167 */   public void linetoHorizontalRel(float x) throws ParseException { this.path.lineTo(this.xCenter = this.currentX += x, this.yCenter = this.currentY); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 174 */   public void linetoHorizontalAbs(float x) throws ParseException { this.path.lineTo(this.xCenter = this.currentX = x, this.yCenter = this.currentY); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 181 */   public void linetoVerticalRel(float y) throws ParseException { this.path.lineTo(this.xCenter = this.currentX, this.yCenter = this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 188 */   public void linetoVerticalAbs(float y) throws ParseException { this.path.lineTo(this.xCenter = this.currentX, this.yCenter = this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 198 */   public void curvetoCubicRel(float x1, float y1, float x2, float y2, float x, float y) throws ParseException { this.path.curveTo(this.currentX + x1, this.currentY + y1, this.xCenter = this.currentX + x2, this.yCenter = this.currentY + y2, this.currentX += x, this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 210 */   public void curvetoCubicAbs(float x1, float y1, float x2, float y2, float x, float y) throws ParseException { this.path.curveTo(x1, y1, this.xCenter = x2, this.yCenter = y2, this.currentX = x, this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 220 */   public void curvetoCubicSmoothRel(float x2, float y2, float x, float y) throws ParseException { this.path.curveTo(this.currentX * 2.0F - this.xCenter, this.currentY * 2.0F - this.yCenter, this.xCenter = this.currentX + x2, this.yCenter = this.currentY + y2, this.currentX += x, this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 234 */   public void curvetoCubicSmoothAbs(float x2, float y2, float x, float y) throws ParseException { this.path.curveTo(this.currentX * 2.0F - this.xCenter, this.currentY * 2.0F - this.yCenter, this.xCenter = x2, this.yCenter = y2, this.currentX = x, this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 248 */   public void curvetoQuadraticRel(float x1, float y1, float x, float y) throws ParseException { this.path.quadTo(this.xCenter = this.currentX + x1, this.yCenter = this.currentY + y1, this.currentX += x, this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 258 */   public void curvetoQuadraticAbs(float x1, float y1, float x, float y) throws ParseException { this.path.quadTo(this.xCenter = x1, this.yCenter = y1, this.currentX = x, this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 266 */   public void curvetoQuadraticSmoothRel(float x, float y) throws ParseException { this.path.quadTo(this.xCenter = this.currentX * 2.0F - this.xCenter, this.yCenter = this.currentY * 2.0F - this.yCenter, this.currentX += x, this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 277 */   public void curvetoQuadraticSmoothAbs(float x, float y) throws ParseException { this.path.quadTo(this.xCenter = this.currentX * 2.0F - this.xCenter, this.yCenter = this.currentY * 2.0F - this.yCenter, this.currentX = x, this.currentY = y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 291 */   public void arcRel(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y) throws ParseException { this.path.arcTo(rx, ry, xAxisRotation, largeArcFlag, sweepFlag, this.xCenter = this.currentX += x, this.yCenter = this.currentY += y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 303 */   public void arcAbs(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y) throws ParseException { this.path.arcTo(rx, ry, xAxisRotation, largeArcFlag, sweepFlag, this.xCenter = this.currentX = x, this.yCenter = this.currentY = y); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-parser.jar!\org\apache\batik\parser\AWTPathProducer.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */