/*     */ package org.apache.batik.parser;
/*     */ 
/*     */ import java.awt.geom.AffineTransform;
/*     */ import java.io.Reader;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AWTTransformProducer
/*     */   implements TransformListHandler
/*     */ {
/*     */   protected AffineTransform affineTransform;
/*     */   
/*     */   public static AffineTransform createAffineTransform(Reader r) throws ParseException {
/*  43 */     TransformListParser p = new TransformListParser();
/*  44 */     AWTTransformProducer th = new AWTTransformProducer();
/*     */     
/*  46 */     p.setTransformListHandler(th);
/*  47 */     p.parse(r);
/*     */     
/*  49 */     return th.getAffineTransform();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AffineTransform createAffineTransform(String s) throws ParseException {
/*  58 */     TransformListParser p = new TransformListParser();
/*  59 */     AWTTransformProducer th = new AWTTransformProducer();
/*     */     
/*  61 */     p.setTransformListHandler(th);
/*  62 */     p.parse(s);
/*     */     
/*  64 */     return th.getAffineTransform();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  73 */   public AffineTransform getAffineTransform() { return this.affineTransform; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public void startTransformList() { this.affineTransform = new AffineTransform(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  89 */   public void matrix(float a, float b, float c, float d, float e, float f) throws ParseException { this.affineTransform.concatenate(new AffineTransform(a, b, c, d, e, f)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public void rotate(float theta) throws ParseException { this.affineTransform.concatenate(AffineTransform.getRotateInstance(Math.toRadians(theta))); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void rotate(float theta, float cx, float cy) throws ParseException {
/* 104 */     AffineTransform at = AffineTransform.getRotateInstance(Math.toRadians(theta), cx, cy);
/*     */     
/* 106 */     this.affineTransform.concatenate(at);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void translate(float tx) throws ParseException {
/* 113 */     AffineTransform at = AffineTransform.getTranslateInstance(tx, 0.0D);
/* 114 */     this.affineTransform.concatenate(at);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void translate(float tx, float ty) throws ParseException {
/* 121 */     AffineTransform at = AffineTransform.getTranslateInstance(tx, ty);
/* 122 */     this.affineTransform.concatenate(at);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 129 */   public void scale(float sx) throws ParseException { this.affineTransform.concatenate(AffineTransform.getScaleInstance(sx, sx)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 136 */   public void scale(float sx, float sy) throws ParseException { this.affineTransform.concatenate(AffineTransform.getScaleInstance(sx, sy)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 143 */   public void skewX(float skx) throws ParseException { this.affineTransform.concatenate(AffineTransform.getShearInstance(Math.tan(Math.toRadians(skx)), 0.0D)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public void skewY(float sky) throws ParseException { this.affineTransform.concatenate(AffineTransform.getShearInstance(0.0D, Math.tan(Math.toRadians(sky)))); }
/*     */   
/*     */   public void endTransformList() {}
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-parser.jar!\org\apache\batik\parser\AWTTransformProducer.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */