/*     */ package org.apache.batik.parser;
/*     */ 
/*     */ import java.util.Iterator;
/*     */ import java.util.LinkedList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LengthArrayProducer
/*     */   extends DefaultLengthListHandler
/*     */ {
/*     */   protected LinkedList vs;
/*     */   protected float[] v;
/*     */   protected LinkedList us;
/*     */   protected short[] u;
/*     */   protected int index;
/*     */   protected int count;
/*     */   protected short currentUnit;
/*     */   
/*  74 */   public short[] getLengthTypeArray() { return this.u; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  81 */   public float[] getLengthValueArray() { return this.v; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void startLengthList() {
/*  92 */     this.us = new LinkedList();
/*  93 */     this.u = new short[11];
/*  94 */     this.vs = new LinkedList();
/*  95 */     this.v = new float[11];
/*  96 */     this.count = 0;
/*  97 */     this.index = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void numberValue(float v) throws ParseException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void lengthValue(float val) throws ParseException {
/* 112 */     if (this.index == this.v.length) {
/* 113 */       this.vs.add(this.v);
/* 114 */       this.v = new float[this.v.length * 2 + 1];
/* 115 */       this.us.add(this.u);
/* 116 */       this.u = new short[this.u.length * 2 + 1];
/* 117 */       this.index = 0;
/*     */     } 
/* 119 */     this.v[this.index] = val;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 126 */   public void startLength() { this.currentUnit = 1; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void endLength() {
/* 133 */     this.u[this.index++] = this.currentUnit;
/* 134 */     this.count++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 141 */   public void em() { this.currentUnit = 3; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 148 */   public void ex() { this.currentUnit = 4; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 155 */   public void in() { this.currentUnit = 8; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 162 */   public void cm() { this.currentUnit = 6; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 169 */   public void mm() { this.currentUnit = 7; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 176 */   public void pc() { this.currentUnit = 10; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 183 */   public void pt() { this.currentUnit = 9; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 190 */   public void px() { this.currentUnit = 5; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 197 */   public void percentage() { this.currentUnit = 2; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void endLengthList() {
/* 206 */     float[] allValues = new float[this.count];
/* 207 */     int pos = 0;
/* 208 */     Iterator it = this.vs.iterator();
/* 209 */     while (it.hasNext()) {
/* 210 */       float[] a = (float[])it.next();
/* 211 */       System.arraycopy(a, 0, allValues, pos, a.length);
/* 212 */       pos += a.length;
/*     */     } 
/* 214 */     System.arraycopy(this.v, 0, allValues, pos, this.index);
/* 215 */     this.vs.clear();
/* 216 */     this.v = allValues;
/*     */     
/* 218 */     short[] allUnits = new short[this.count];
/* 219 */     pos = 0;
/* 220 */     it = this.us.iterator();
/* 221 */     while (it.hasNext()) {
/* 222 */       short[] a = (short[])it.next();
/* 223 */       System.arraycopy(a, 0, allUnits, pos, a.length);
/* 224 */       pos += a.length;
/*     */     } 
/* 226 */     System.arraycopy(this.u, 0, allUnits, pos, this.index);
/* 227 */     this.us.clear();
/* 228 */     this.u = allUnits;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-parser.jar!\org\apache\batik\parser\LengthArrayProducer.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */